=== debian/changelog ===
opensurgsim (0.6.0-5) unstable; urgency=medium

  * Fix unit test timeouts on multiple archs
  * Disables two sensitive unit tests

 -- Paul Novotny <paul@paulnovo.us>  Sun, 15 Nov 2015 08:57:33 -0500

opensurgsim (0.6.0-4) unstable; urgency=medium

  * Fixes for eigen 3.3-alpha1 (Closes: #803145)
  * Disables eigen alignment on ppc64el and ppc64

 -- Paul Novotny <paul@paulnovo.us>  Sun, 08 Nov 2015 15:37:31 -0500

opensurgsim (0.6.0-3) unstable; urgency=low

  * Disables eigen alignment on i386 and powerpc (Closes: #798693)
  * Fixes TimerTest failures on mips, mipsel, and s390x (Closes: #798718)
  * Fixes unit tests off on some architectures (Closes: #798717)
  * Fixes FEM ply reading on s390x and ppc64 (Closes: #798715)

 -- Paul Novotny <paul@paulnovo.us>  Sun, 20 Sep 2015 12:30:15 -0400

opensurgsim (0.6.0-2) unstable; urgency=low

  [ Paul Novotny ]
  * Updates for yaml-cpp 0.5.2
  * Backport fixes for compiling with GCC 5
  * Remove unneeded unit test libraries from package
  
  [ Andreas Tille ]
  * Fix Vcs fields via `cme fix dpkg-control`

 -- Paul Novotny <paul@paulnovo.us>  Thu, 10 Sep 2015 09:04:24 -0400

opensurgsim (0.6.0-1) experimental; urgency=low

  * Initial release (Closes: #775753)

 -- Paul Novotny <paul@paulnovo.us>  Thu, 22 Jan 2015 17:33:51 -0500
