=== debian/control ===
Source: opensurgsim
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Paul Novotny <paul@paulnovo.us>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-linktree,
               libboost-chrono-dev,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-thread-dev,
               cmake,
               doxygen,
               libeigen3-dev,
               google-mock,
               libjs-jquery,
               libjs-mathjax,
               libopenscenegraph-dev,
               libyaml-cpp-dev (>= 0.5.2)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/opensurgsim.git
Vcs-Git: git://anonscm.debian.org/debian-med/opensurgsim.git
Homepage: http://www.opensurgsim.org/

Package: libopensurgsim
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Free platform for surgical simulation - runtime
 OpenSurgSim is C++ toolkit for developing real-time surgical simulations. It
 lets you build simulators using the included building blocks, such as input
 device support, haptic feedback, graphics, collision detection and physics
 simulation.
 .
 This package contains the libraries needed to run OpenSurgSim
 applications.

Package: libopensurgsim-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libopensurgsim (= ${binary:Version})
Description: Free platform for surgical simulation - development
 OpenSurgSim is C++ toolkit for developing real-time surgical simulations. It
 lets you build simulators using the included building blocks, such as input
 device support, haptic feedback, graphics, collision detection and physics
 simulation.
 .
 This package contains the development files needed to build your
 own OpenSurgSim applications.

Package: opensurgsim-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-mathjax
Suggests: libopensurgsim-dev,
          libopensurgsim
Description: Free platform for surgical simulation - documentation
 OpenSurgSim is C++ toolkit for developing real-time surgical simulations. It
 lets you build simulators using the included building blocks, such as input
 device support, haptic feedback, graphics, collision detection and physics
 simulation.
 .
 This package contains the Doxygen documentation files.
